
package Geo::EZLocate::Elements::getServiceDescriptionResponse;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://ezlocate.na.teleatlas.com/Geocoding.xsd1' }

__PACKAGE__->__set_name('getServiceDescriptionResponse');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %resultCode_of :ATTR(:get<resultCode>);
my %description_of :ATTR(:get<description>);
my %countryCode_of :ATTR(:get<countryCode>);
my %inputs_of :ATTR(:get<inputs>);
my %outputs_of :ATTR(:get<outputs>);
my %matchTypes_of :ATTR(:get<matchTypes>);
my %matchTypeName_of :ATTR(:get<matchTypeName>);

__PACKAGE__->_factory(
    [ qw(        resultCode
        description
        countryCode
        inputs
        outputs
        matchTypes
        matchTypeName

    ) ],
    {
        'resultCode' => \%resultCode_of,
        'description' => \%description_of,
        'countryCode' => \%countryCode_of,
        'inputs' => \%inputs_of,
        'outputs' => \%outputs_of,
        'matchTypes' => \%matchTypes_of,
        'matchTypeName' => \%matchTypeName_of,
    },
    {
        'resultCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
        'description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'countryCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'inputs' => 'Geo::EZLocate::Types::Record',
        'outputs' => 'Geo::EZLocate::Types::OutputFieldSequence',
        'matchTypes' => 'Geo::EZLocate::Types::MatchTypeSequence',
        'matchTypeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'resultCode' => 'resultCode',
        'description' => 'description',
        'countryCode' => 'countryCode',
        'inputs' => 'inputs',
        'outputs' => 'outputs',
        'matchTypes' => 'matchTypes',
        'matchTypeName' => 'matchTypeName',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

Geo::EZLocate::Elements::getServiceDescriptionResponse

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
getServiceDescriptionResponse from the namespace http://ezlocate.na.teleatlas.com/Geocoding.xsd1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * resultCode

 $element->set_resultCode($data);
 $element->get_resultCode();




=item * description

 $element->set_description($data);
 $element->get_description();




=item * countryCode

 $element->set_countryCode($data);
 $element->get_countryCode();




=item * inputs

 $element->set_inputs($data);
 $element->get_inputs();




=item * outputs

 $element->set_outputs($data);
 $element->get_outputs();




=item * matchTypes

 $element->set_matchTypes($data);
 $element->get_matchTypes();




=item * matchTypeName

 $element->set_matchTypeName($data);
 $element->get_matchTypeName();





=back


=head1 METHODS

=head2 new

 my $element = Geo::EZLocate::Elements::getServiceDescriptionResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   resultCode =>  $some_value, # int
   description =>  $some_value, # string
   countryCode =>  $some_value, # string
   inputs =>  { # Geo::EZLocate::Types::Record
     nv =>  { # Geo::EZLocate::Types::NameValue
       name =>  $some_value, # string
       value =>  $some_value, # string
     },
   },
   outputs =>  { # Geo::EZLocate::Types::OutputFieldSequence
     fields =>  { # Geo::EZLocate::Types::OutputField
       name =>  $some_value, # string
       description =>  $some_value, # string
       type =>  $some_value, # int
     },
   },
   matchTypes =>  { # Geo::EZLocate::Types::MatchTypeSequence
     types =>  { # Geo::EZLocate::Types::MatchType
       name =>  $some_value, # string
       description =>  $some_value, # string
       id =>  $some_value, # int
     },
   },
   matchTypeName =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

