
package Geo::EZLocate::Elements::requestChallenge;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://ezlocate.na.teleatlas.com/Authentication.xsd1' }

__PACKAGE__->__set_name('requestChallenge');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %userName_of :ATTR(:get<userName>);
my %minutesValid_of :ATTR(:get<minutesValid>);

__PACKAGE__->_factory(
    [ qw(        userName
        minutesValid

    ) ],
    {
        'userName' => \%userName_of,
        'minutesValid' => \%minutesValid_of,
    },
    {
        'userName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'minutesValid' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
    },
    {

        'userName' => 'userName',
        'minutesValid' => 'minutesValid',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

Geo::EZLocate::Elements::requestChallenge

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
requestChallenge from the namespace http://ezlocate.na.teleatlas.com/Authentication.xsd1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * userName

 $element->set_userName($data);
 $element->get_userName();




=item * minutesValid

 $element->set_minutesValid($data);
 $element->get_minutesValid();





=back


=head1 METHODS

=head2 new

 my $element = Geo::EZLocate::Elements::requestChallenge->new($data);

Constructor. The following data structure may be passed to new():

 {
   userName =>  $some_value, # string
   minutesValid =>  $some_value, # int
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

