package Geo::EZLocate::Types::GeocodeSequence;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(0);

sub get_xmlns { 'http://ezlocate.na.teleatlas.com/Geocoding.xsd1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %sequence_of :ATTR(:get<sequence>);

__PACKAGE__->_factory(
    [ qw(        sequence

    ) ],
    {
        'sequence' => \%sequence_of,
    },
    {
        'sequence' => 'Geo::EZLocate::Types::Geocode',
    },
    {

        'sequence' => 'sequence',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

Geo::EZLocate::Types::GeocodeSequence

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
GeocodeSequence from the namespace http://ezlocate.na.teleatlas.com/Geocoding.xsd1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * sequence




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # Geo::EZLocate::Types::GeocodeSequence
   sequence =>  { # Geo::EZLocate::Types::Geocode
     resultCode =>  $some_value, # int
     mAttributes =>  { # Geo::EZLocate::Types::Record
       nv =>  { # Geo::EZLocate::Types::NameValue
         name =>  $some_value, # string
         value =>  $some_value, # string
       },
     },
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

